Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.atom.util
Class DOMDB

    java.lang.Object
      org.exist.atom.util.DOMDB

public class DOMDB
extends java.lang.Object

Author:
  R. Alexander Milowski

Method Summary
`static void` | `appendChild(Txn txn, ElementImpl parent, org.w3c.dom.Node child)`
`static org.w3c.dom.Node` | `insertBefore(Txn txn, ElementImpl parent, org.w3c.dom.Node child, org.w3c.dom.Node refChild)`
`static void` | `removeChildren(Txn txn, ElementImpl parent)`
`static void` | `replaceText(Txn txn, ElementImpl textE, java.lang.String value)`
`static org.w3c.dom.Element` | `replaceTextElement(Txn txn, ElementImpl parent, java.lang.String namespaceName, java.lang.String localName, java.lang.String value, boolean firstChild)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### replaceTextElement

    public static org.w3c.dom.Element replaceTextElement(Txn txn,
                                                         ElementImpl parent,
                                                         java.lang.String namespaceName,
                                                         java.lang.String localName,
                                                         java.lang.String value,
                                                         boolean firstChild)

### appendChild

    public static void appendChild(Txn txn,
                                   ElementImpl parent,
                                   org.w3c.dom.Node child)

### insertBefore

    public static org.w3c.dom.Node insertBefore(Txn txn,
                                                ElementImpl parent,
                                                org.w3c.dom.Node child,
                                                org.w3c.dom.Node refChild)

### replaceText

    public static void replaceText(Txn txn,
                                   ElementImpl textE,
                                   java.lang.String value)

### removeChildren

    public static void removeChildren(Txn txn,
                                      ElementImpl parent)

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.